# see udev.conf(5) for details
#
# udevd is also started in the initrd. When this file is modified you might
# also want to rebuild the initrd, so that it will include the modified configuration.

# The log level. Valid values are the numerical syslog priorities
# or their textual representations: err, info and debug.
udev_log=err

# An integer. The maximum number of events executed in parallel.
children_max=0

# An integer. Delay the execution of RUN instructions by the given
# number of seconds. This option might be useful when debugging
# system crashes during coldplug caused by loading non-working kernel
# modules.
#exec_delay=

# An integer. The number of seconds to wait for events to finish.
# After this time, the event will be terminated.
# The default is 180 seconds.
event_timeout=180

# Specifies a signal that systemd-udevd will send on worker timeouts.
# Note that both workers and spawned processes will be killed using this
# signal. Defaults to SIGKILL.
timeout_signal=SIGKILL

# Specifies when systemd-udevd should resolve names of users and groups.
# When set to early (the default), names will be resolved when the rules
# are parsed. When set to late, names will be resolved for every event.
# When set to never, names will never be resolved and all devices will
# be owned by root.
resolve_names=early
